# bootchart

Bootchart is a tool for performance analysis and visualization of the GNU/Linux boot process.
Resource utilization and process information are collected during the boot process and are later rendered in a PNG, SVG or EPS encoded chart.
Bootchart provides a shell script to be run by the kernel in the init phase.
The script will run in background and collect process information, CPU statistics and disk usage statistics from the /proc file system.
The performance data are stored in memory and are written to disk once the boot process completes.
The boot log file is later processed using a Java application (or the web form) which builds the process tree and renders a performance chart in different formats: SVG e EPS.
The chart can then be analyzed to examine process dependency and overall resource utilization.

